MONGOC_CLIENT_SET_READ_PREFS(3)

NAME
mongoc_client_set_read_prefs() - None

SYNOPSIS

void
mongoc_client_set_read_prefs (mongoc_client_t           *client,
                              const mongoc_read_prefs_t *read_prefs);

Sets the default read preferences to use with future operations upon client \&.

The global default is to read from the replica set primary.

It is a programming error to call this function on a client from a mongoc_client_pool_t \&. For pooled clients, set the read preferences with the MongoDB URI instead.

Please see the MongoDB website for a description of Read Preferences \&.

PARAMETERS

client
    A mongoc_client_t \&.

read_prefs
    A mongoc_read_prefs_t \&.

COLOPHON
This page is part of MongoDB C Driver. Please report any bugs at https://jira.mongodb.org/browse/CDRIVER.